Bug 235914 - [NEW PORT] x11-themes/materia-gtk-theme: Material Design theme for GNOME/GTK+ based desktop environments
Summary: [NEW PORT] x11-themes/materia-gtk-theme: Material Design theme for GNOME/GTK+...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Alexandre C. Guimarães
URL: https://reviews.freebsd.org/D19338
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-21 11:46 UTC by Hiroki Tagato
Modified: 2019-03-04 21:40 UTC (History)
1 user (show)

See Also:


Attachments
Shar file (206.84 KB, text/plain)
2019-02-21 11:46 UTC, Hiroki Tagato
tagattie: maintainer-approval+
Details
Poudriere testport log (releng/12.0 amd64) (71.43 KB, text/plain)
2019-02-21 11:47 UTC, Hiroki Tagato
no flags Details
Shar file (v2) (212.17 KB, text/plain)
2019-02-25 12:18 UTC, Hiroki Tagato
tagattie: maintainer-approval+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Hiroki Tagato 2019-02-21 11:46:26 UTC
Created attachment 202228 [details]
Shar file

Add a new port x11-themes/materia-gtk-theme.

Description:
Materia (formerly Flat-Plat) is a Material Design theme for GNOME/GTK+
based desktop environments. It supports GTK+ 3, GTK+ 2, GNOME Shell,
Budgie, Cinnamon, MATE, Unity, Xfce, LightDM, GDM, Chrome theme, etc.

WWW: https://github.com/nana-4/materia-theme
Comment 1 Hiroki Tagato 2019-02-21 11:47:19 UTC
Created attachment 202229 [details]
Poudriere testport log (releng/12.0 amd64)
Comment 2 Alexandre C. Guimarães freebsd_committer 2019-02-24 23:38:52 UTC
I've added a OPTION to gnome-shell to users be able to avoid building half gnome when they want the theme but do not use gnome.

On the Phabricator.
Comment 3 Hiroki Tagato 2019-02-25 02:10:35 UTC
(In reply to Alexandre C. Guimarães from comment #2)

Thanks Alexandre for picking up and improving this PR.
I made some comments on Phabricator site for you to review.

Thanks,
Hiroki
Comment 4 Hiroki Tagato 2019-02-25 12:18:50 UTC
Created attachment 202351 [details]
Shar file (v2)

It doesn't appear I can update the diff on the Phabricator.
So I'm attaching a revised shar file here.

Please review this version.

Thanks,
Hiroki
Comment 5 commit-hook freebsd_committer 2019-03-04 21:39:58 UTC
A commit references this bug:

Author: rigoletto
Date: Mon Mar  4 21:39:10 UTC 2019
New revision: 494652
URL: https://svnweb.freebsd.org/changeset/ports/494652

Log:
  New port: x11-themes/materia-gtk-theme

  Materia (formerly Flat-Plat) is a Material Design theme for GNOME/GTK+
  based desktop environments. It supports GTK+ 3, GTK+ 2, GNOME Shell,
  Budgie, Cinnamon, MATE, Unity, Xfce, LightDM, GDM, Chrome theme, etc.

  PR:		235914
  Submitted by:	Hiroki Tagato <tagattie@yandex.com>
  Reviewed by:	tcberner (mentor)
  Approved by:	mat (mentor)
  Differential Revision:	https://reviews.freebsd.org/D19338

Changes:
  head/x11-themes/Makefile
  head/x11-themes/materia-gtk-theme/
  head/x11-themes/materia-gtk-theme/Makefile
  head/x11-themes/materia-gtk-theme/distinfo
  head/x11-themes/materia-gtk-theme/pkg-descr
  head/x11-themes/materia-gtk-theme/pkg-plist
Comment 6 Alexandre C. Guimarães freebsd_committer 2019-03-04 21:40:44 UTC
Committed. Thank you. :)